Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.service
Class RWTFileSettingStoreFactory

    java.lang.Object
      org.eclipse.rwt.service.RWTFileSettingStoreFactory

All Implemented Interfaces:
  ISettingStoreFactory

public final class RWTFileSettingStoreFactory
extends java.lang.Object
implements ISettingStoreFactory

`ISettingStoreFactory` that creates `FileSettingStore` instances.

This particular implementation uses the following strategy to determine the path for persisting the data of a FileSettingStore:

1. Use the directory specified by the init-parameter `"org.eclipse.rwt.service.FileSettingStore.dir"` in the web.xml.
2. Use the directory specified by the `"javax.servlet.context.tempdir"` attribute in the servlet context.
3. Use the directory specified by the `"java.io.tempdir"` property.

The first path that can be obtained from the above choices (in the order given above) will be used. If the path determined does not exist it will be created.

Note: This setting store factory should be used in an RWT-only deployment. For a regular RAP deployment use the `WorkbenchFileSettingStoreFactory`.

Since:
  1.1

Constructor Summary
`RWTFileSettingStoreFactory()`

Method Summary
`ISettingStore` `createSettingStore(java.lang.String storeId)` Create, initialize and return a specific ISettingStore instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RWTFileSettingStoreFactory

    public RWTFileSettingStoreFactory()

Method Detail

### createSettingStore

    public ISettingStore createSettingStore(java.lang.String storeId)

  Description copied from interface: `ISettingStoreFactory`
  Create, initialize and return a specific ISettingStore instance.

  Specified by:
    `createSettingStore` in interface `ISettingStoreFactory`
  Parameters:
    `storeId` - a non-null, non-empty, non-whitespace-only String.
  Returns:
    an `ISettingStore` instance; never `null`

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.